# ApplicationFramework
TKPShape
PTopoDS

# PTopoDS_HArray1OfShape1 Class Reference

`#include <PTopoDS_HArray1OfShape1.hxx>`

## Public Member Functions

Standard_EXPORT | PTopoDS_HArray1OfShape1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PTopoDS_HArray1OfShape1 (const Standard_Integer Low, const Standard_Integer Up, const PTopoDS_Shape1 &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const PTopoDS_Shape1 &Value)
Standard_Integer | Upper () const
Standard_EXPORT PTopoDS_Shape1 | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PTopoDS_HArray1OfShape1 ()
| PTopoDS_HArray1OfShape1 (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfShape1LowerBound () const
void | _CSFDB_SetPTopoDS_HArray1OfShape1LowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPTopoDS_HArray1OfShape1UpperBound () const
void | _CSFDB_SetPTopoDS_HArray1OfShape1UpperBound (const Standard_Integer p)
const PTopoDS_FieldOfHArray1OfShape1 & | _CSFDB_GetPTopoDS_HArray1OfShape1Data () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PTopoDS_FieldOfHArray1OfShape1 | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PTopoDS_FieldOfHArray1OfShape1 | Data

## Constructor & Destructor Documentation

Standard_EXPORT PTopoDS_HArray1OfShape1::PTopoDS_HArray1OfShape1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PTopoDS_HArray1OfShape1::PTopoDS_HArray1OfShape1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const PTopoDS_Shape1 & | V
| ) |

PTopoDS_HArray1OfShape1::PTopoDS_HArray1OfShape1 | ( |  | ) | `[inline]`

PTopoDS_HArray1OfShape1::PTopoDS_HArray1OfShape1 | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PTopoDS_FieldOfHArray1OfShape1& PTopoDS_HArray1OfShape1::_CSFDB_GetPTopoDS_HArray1OfShape1Data | ( |  | ) | const`[inline]`

Standard_Integer PTopoDS_HArray1OfShape1::_CSFDB_GetPTopoDS_HArray1OfShape1LowerBound | ( |  | ) | const`[inline]`

Standard_Integer PTopoDS_HArray1OfShape1::_CSFDB_GetPTopoDS_HArray1OfShape1UpperBound | ( |  | ) | const`[inline]`

void PTopoDS_HArray1OfShape1::_CSFDB_SetPTopoDS_HArray1OfShape1LowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PTopoDS_HArray1OfShape1::_CSFDB_SetPTopoDS_HArray1OfShape1UpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PTopoDS_HArray1OfShape1::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PTopoDS_FieldOfHArray1OfShape1 PTopoDS_HArray1OfShape1::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PTopoDS_HArray1OfShape1::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PTopoDS_HArray1OfShape1::Length | ( |  | ) | const

Standard_Integer PTopoDS_HArray1OfShape1::Lower | ( |  | ) | const

Standard_EXPORT void PTopoDS_HArray1OfShape1::SetValue | ( | const Standard_Integer | Index,
|  | const PTopoDS_Shape1 & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PTopoDS_HArray1OfShape1::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PTopoDS_HArray1OfShape1::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PTopoDS_HArray1OfShape1::Upper | ( |  | ) | const

Standard_EXPORT PTopoDS_Shape1 PTopoDS_HArray1OfShape1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PTopoDS_FieldOfHArray1OfShape1 PTopoDS_HArray1OfShape1::Data`[private]`

Standard_Integer PTopoDS_HArray1OfShape1::LowerBound`[private]`

Standard_Integer PTopoDS_HArray1OfShape1::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PTopoDS_HArray1OfShape1.hxx